<?php

/**
 * docu_short actions.
 *
 * @package    contab2
 * @subpackage docu_short
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class docu_shortActions extends sfQuery {

    protected $table_names = array(
        'CN_DOCUMENTO',
        'CN_CONTROL_CAD'
    );
    protected $table_join_ids = array(
        'CN_CONTROL_CAD' =>
        array(
            'id_cia' => 'CN_DOCUMENTO',
            'id_cad' => 'CN_DOCUMENTO',
            'id_cen_op' => 'CN_DOCUMENTO',
            'id_vigencia' => 'CN_DOCUMENTO'
        )
    );
    protected $fields = array(
        'CN_DOCUMENTO' =>
        array(
            'id_documento' => 'id_documento',
            'descr_mto' => 'desc_mto',
            'id_documento,||, - ,||,descr_mto' => 'completo'
        )
    );
    protected $table_field_conditions =
            array(
        'CN_DOCUMENTO' =>
        array(
            'id_cia' => array('=' => array('id_cia')),
            'id_cad' => array('=' => array('id_cad')),
            'id_cen_op' => array('=' => array('id_cen_op')),
            'id_vigencia' => array('=' => array('id_vigencia')),
            'rownum,end' => array('<=' => array(20))
        ),
        'CN_CONTROL_CAD' =>
        array(
            'id_periodo_contable' => array('=' => array('id_periodo_contable'))
        )
    );
    protected $table_field_or_conditions =
            array(
        'CN_DOCUMENTO' =>
        array(
            'id_documento' => array('LIKE' => array('input', '%')),
            'descr_mto' => array('LIKE' => array('input', '%'))
        )
    );

}
